---
title: DynamicsCompressorNode.ratio
slug: Web/API/DynamicsCompressorNode/ratio
tags:
  - API
  - DynamicsCompressorNode
  - Property
  - Reference
  - Web Audio API
  - ratio
---
<p>{{ APIRef("Web Audio API") }}</p>

<div>
<p>The <code>ratio</code> property of the {{ domxref("DynamicsCompressorNode") }} interface Is a <a href="/en-US/docs/DOM/AudioParam#k-rate">k-rate</a> {{domxref("AudioParam")}} representing the amount of change, in dB, needed in the input for a 1 dB change in the output.</p>

<p>The <code>ratio</code> property's default value is <code>12</code> and it can be set between <code>1</code> and <code>20</code>.</p>

<p><img alt="Describes the effect of different ratio on the output signal" src="https://mdn.mozillademos.org/files/5115/WebAudioRatio.png"></p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var audioCtx = new AudioContext();
var compressor = audioCtx.createDynamicsCompressor();
compressor.ratio.value = 12;
</pre>

<h3 id="Value">Value</h3>

<p>An {{domxref("AudioParam")}}.</p>

<div class="note">
<p><strong>Note</strong>: Though the {{domxref("AudioParam")}} returned is read-only, the value it represents is not.</p>
</div>

<h2 id="Example">Example</h2>

<p>{{page("/en-US/docs/Web/API/AudioContext.createDynamicsCompressor","Example")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API', '#dom-dynamicscompressornode-ratio', 'ratio')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.DynamicsCompressorNode.ratio")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web_Audio_API/Using_Web_Audio_API">Using the Web Audio API</a></li>
</ul>
